## Acme.JPM.Encoders
Class JpegEncoder

    java.lang.Object
      |
      +--Acme.JPM.Encoders.ImageEncoder
            |
            +--Acme.JPM.Encoders.JpegEncoder

All Implemented Interfaces:
  java.awt.image.ImageConsumer

public class JpegEncoder
extends ImageEncoder

Field Summary

Fields inherited from class Acme.JPM.Encoders.ImageEncoder
`out`

Fields inherited from interface java.awt.image.ImageConsumer
`COMPLETESCANLINES, IMAGEABORTED, IMAGEERROR, RANDOMPIXELORDER, SINGLEFRAME, SINGLEFRAMEDONE, SINGLEPASS, STATICIMAGEDONE, TOPDOWNLEFTRIGHT`

Constructor Summary
`JpegEncoder(java.awt.Image img, java.io.OutputStream out)`
`JpegEncoder(java.awt.image.ImageProducer prod, java.io.OutputStream out)`

Method Summary
`void` `setQfactor(int qfactor)`

Methods inherited from class Acme.JPM.Encoders.ImageEncoder
`encode, imageComplete, setColorModel, setDimensions, setHints, setPixels, setPixels, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JpegEncoder

    public JpegEncoder(java.awt.Image img,
                       java.io.OutputStream out)
                throws java.io.IOException

### JpegEncoder

    public JpegEncoder(java.awt.image.ImageProducer prod,
                       java.io.OutputStream out)
                throws java.io.IOException

Method Detail

### setQfactor

    public void setQfactor(int qfactor)

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details